[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.GetDockEdge

Determines the side to which the dragged control shall be docked.

## Declaration

Source position: controls.pp line 1459

`protected function TControl.GetDockEdge(`
`const MousePos: TPoint`
`):TAlign; virtual;`

## Arguments

`MousePos` |  | Mouse position relative to the Left, Top properties in the control.

## Function result

Alignment edge for the docked control. Default value is alNone.